Tersusotr

Hi!
So, yeah, I've been given an old project that needs to be updated.

When upgrading Unity to meet requirements of x64 for Google Play, I've been informed that:
"Skeleton data could not be loaded. Data version: 3.1.05 Required version: 3.8 Please reexport with Spine 3.8"
I have files of old animations (Spine projects) outside of unity for use and adaption, but what is the correct order of actions to complete such task?

I've seen transition guides, but they mostly have info about +0.1 version increase, which is not the case here (0.7 versions to go up at least).

Thanks in advance!
Tersusotr
  • 記事: 1

mfedorov

Open sorce files in Spine 3.8 and check animations, if file have no bugs then export. Also you can use batch export if you have to many files for update (search in forum topics)
アバター
mfedorov
  • 記事: 260

Harald

Thanks @mfedorov for answering! Bridging this larger gap will follow the same basic update procedure, you need to re-export all your skeletons.

Batch export can be performed via the Spine command line interface, I assume you have read about it in this thread already.
アバター
Harald

Harri
  • 記事: 1481


Return to Unity